{ config, lib, pkgs, ... }:

let
  cfg = config.sydnix.stylix;
in {
  options.sydnix.stylix.enable =
    lib.mkEnableOption "Stylix";

  config = lib.mkIf cfg.enable {
    stylix = {
      enable = true;
      base16Scheme = "${pkgs.base16-schemes}/share/themes/kanagawa.yaml";
      image = ./stylix/kanagawa.jpg;
      polarity = "dark";
      # fonts = {
      #   serif = {
      #     package = pkgs.ibm-plex;
      #     name = "IBM Plex Serif";
      #   };
      #   sansSerif = {
      #     package = pkgs.ibm-plex;
      #     name = "IBM Plex Sans";
      #   };
      #   monospace = {
      #     package = pkgs.nerd-fonts.victor-mono;
      #     name = "VictorMono";
      #   };
      #   emoji = {
      #     package = pkgs.twemoji-color-font;
      #     name = "Twemoji";
      #   };
      # };
    };
  };
}
